﻿
using System.Reflection;
using StructureMapDemo.Services;

using StructureMap;
using StructureMap.Configuration.DSL;
using StructureMapDomainDemo;
using StructureMapDomainDemo.ExcludeMe;

namespace StructureMapDemo
{
    public class IoCBootstrap
    {

        public static void SetupForIoC()
        {
            ObjectFactory.Initialize(
                x =>
                    {
                        x.Scan(scanner =>
                                   {
                                       scanner.TheCallingAssembly();
                                       scanner.WithDefaultConventions();                                       
                                   }
                            );

                        x.CreateProfile("Legacy",
                                        profile =>
                                            {
                                                profile.For<IChallangeValidator>()
                                                    .UseConcreteType<LegacyChallangeValidator>();
                                            }
                            );
                        x.ForRequestedType<IChallangeValidator>()
                            .TheDefault.Is.OfConcreteType<ChallangeValidator>();
                    });
        }

    }
}
