using StructureMapDemo.Entity;
using StructureMapDemo.Entity;

namespace StructureMapDemo.Services
{
    public interface IChallangeValidator {
        bool ValidateUserInformation( ChallengeResponse databaseChallangeResponse, ChallengeResponse challengeResponse );
    }

    public class ChallangeValidator : IChallangeValidator
    {
        public bool ValidateUserInformation( ChallengeResponse databaseChallangeResponse, ChallengeResponse challengeResponse )
        {
            if (
                ( !databaseChallangeResponse.Response.Equals( challengeResponse.Response )
                  && !databaseChallangeResponse.AltResponse.Equals( challengeResponse.AltResponse ) )
                )
            {
                return false;
            }
            return true;
        }    
    }

    public class LegacyChallangeValidator : IChallangeValidator
    {
        public bool ValidateUserInformation(ChallengeResponse databaseChallangeResponse, ChallengeResponse challengeResponse)
        {
            return true;
        }
    }
}